
#ifndef MAIN_H
#define MAIN_H
#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------------
EWRAM_CODE void StateInit(); 
EWRAM_CODE void StateReset();
EWRAM_CODE void StateInput();
EWRAM_CODE void StateDraw();

EWRAM_CODE void InitWS();
EWRAM_CODE void InitKey();
EWRAM_CODE void InitBG();
EWRAM_CODE void InitSprite();
EWRAM_CODE void InitIRQ();

EWRAM_CODE void ScreenInit();
EWRAM_CODE void ScreenSetData();



EWRAM_CODE void ScreenVRAMCopyBuf();

EWRAM_CODE void ScreenBufCls();
EWRAM_CODE void ScreenBufCopyBg();
EWRAM_CODE void ScreenBufCopyLeft();
EWRAM_CODE void ScreenBufCopyRight();
EWRAM_CODE void ScreenBufCopyCenter();

EWRAM_CODE void ScreenBufFillCopy(u16 sx, u16 sy, u16 cx, u16 cy, u16* img);



#ifdef __cplusplus
}
#endif
#endif
